//
//  backupsFileManager.h
//  隐私保护
//
//  Created by xd h on 2024/1/3.
//

#import <Foundation/Foundation.h>
#import "connectDeviceManager.h"
#import "TZImageManager.h"
#import "photosBackupsTaskModel.h"

#define backups_photos_tableName [[NSString alloc] initWithFormat:@"backups_photos_tableName_%@",[connectDeviceManager shareInstance].DeviceThirdIdMod.data.sn]

NS_ASSUME_NONNULL_BEGIN

@interface backupsFileManager : NSObject
@property (nonatomic,strong) photosBackupsTaskModel* curPhotosBackupsTaskMod;


+(backupsFileManager *)shareInstance;


//处理备份消息
- (void)handlePhotosBackupsFun;
- (void)getDataWrongToChangeFailFun;

//文件备份完成
- (void)backupsFileDoneFun;

//修改文件上传的状态
- (void)changeBackupsFileStateWithSpeedFun;

- (void)suspendBackupsFileFun;
//文件重新备份
- (void)reBackupsFileFunBy:(photosBackupsTaskModel*)model;

//检查是否需要重新备份
- (void)checkReBackupsFileFun;
@end

NS_ASSUME_NONNULL_END
